# Map

{% hint style="info" %}
All commands start with the prefix !, or your custom prefix.\
Inside usage arguments, "?" denotes an optional argument
{% endhint %}

#### pop

```
- Description: Shows current online players.
- Usage: !pop N/A
- Example: !pop 
- Tier: free
- Usable by: anyone
```

#### search

```
- Description: Searches map vending machines for a chosen item.
- Usage: !search "<itemName|'any'>" "<currencyName?|'any'>" <sort?:bestDeal|mostItems|cheapest> <itemBlueprint?:true|false|1|0> <currencyBlueprint?:true|false|1|0>
- Example: !search "MP5A4" "scrap" deal false false
- Tier: premium
- Usable by: anyone
```

#### seed

```
- Description: Displays server seed and salt.
- Usage: !seed N/A
- Example: !seed 
- Tier: free
- Usable by: anyone
```

#### when

```
- Description: Shows time since last cargo / oil / crate / heli
- Usage: !when <cargo|heli>
- Example: !when cargo
- Tier: free
- Usable by: anyone
```

#### wipe

```
- Description: Shows time since last wipe.
- Usage: !wipe N/A
- Example: !wipe 
- Tier: free
- Usable by: anyone
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rustplustwo.com/chat-commands/map.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
